<?php
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include("../scripts/session.php");
	//Validar Session
   $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
   if(!$sesion->isValida("4"))
   { /*Sesion invalida*/
		header("Location: ../login.php?err=NoSesion");
   }/*no hay sesion 629 37 635 plaza mexico plaza bonita, desnivel, me bajo en cuanto salga del desnivel, esa calle se llama libra
    pared gris y la puerta color rojo libra 356*/
   else
   {
	  $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
   }//fin validar session
$idcdin = $sesion->id;
$nombrec=$_POST['nombreinv'];
   $id_inv=$_POST['idinv'];
   $centro=$_POST['idcent'];
    @$icentro=$_POST['idcentro1'];
   $cuenta=$_POST['copia_cuenta'];
   @$icentro=$_POST['idcentro'];
    $ipago=$_POST['pago'];
	$ibanco=$_POST['banco'];
	$ifolio=$_POST['folio'];
	@$ifecha=$_POST['fecha_i'];
    $idreg=$_POST['idregs']; 
   $cdent=$_POST['entrega'];
	$nombreent=$_POST['entreganom'];
	$continua=0;
	$tarjeta=0;
	echo"$idcdin";
	 echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";
   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   		function FechaFormateada($FechaStamp)
	   		{
				$ano = date('Y',$FechaStamp); //<-- Año
				$mes = date('m',$FechaStamp); //<-- número de mes (01-31)
				$dia = date('d',$FechaStamp); //<-- Día del mes (1-31)
				$dialetra = date('w',$FechaStamp);  //Día de la semana(0-7)
				switch($dialetra)
				{
					case 0: $dialetra="Domingo"; break;
					case 1: $dialetra="Lunes"; break;
					case 2: $dialetra="Martes"; break;
					case 3: $dialetra="Miércoles"; break;
					case 4: $dialetra="Jueves"; break;
					case 5: $dialetra="Viernes"; break;
					case 6: $dialetra="Sábado"; break;
				}

				switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
				return "$dialetra, $dia de $mesletra de $ano";
			}

			$fecha = time();
  			$fechaT = FechaFormateada($fecha);
  			$hora = date("h:i A",time());

  		// **********************************************************************************

			$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$id_inv."'";
  			$cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
  			while($rDG = mysql_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
		   	};
			
            $qDG1="SELECT apagar from regs2 where idreg=$idreg";
              $cDG1 = mysql_query($qDG1) or die ('Error (Obtencion DG.): ' . mysql_error());
              while($rDG1 = mysql_fetch_row($cDG1))
               {
                $abono = $rDG1[0];

               };

		   /*	echo " <html><head><title></title>
  					<SCRIPT LANGUAGE=\"JavaScript\">
						function imprimirPagina() 
						{
							if (window.print)
								window.print();
							else
								alert(\"Tu navegador no puede mandar Imprimir\"+\"desde la web. Hazlo desde los Menús.\");
						}
					</SCRIPT></head><body>";

		   	echo "<br>";
	   		echo "<font size=2><b># Pedido:&nbsp; $num_pedido  </b><br>";
			echo "<b>Tipo:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Recompra (Externo)<br>";
	   		echo "<b>Fecha:</b>&nbsp; $fechaT <br>";
			echo "<b>Hora:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; $hora <br>";
			echo "<b>RFC:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; $dg_rfc <br>";
	   		echo "<b>RFCP:</b>&nbsp;&nbsp;&nbsp;&nbsp; $dg_rfcP <br>";
	   		echo "<b>Nombre:</b>&nbsp; $dg_nom <br>";
			echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; $dg_apP $dg_apM <br>";
	   		echo "<b>CD:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; $clave_cd <br><br>
			<p style='font-weight:bold; color: red;'>***ESTA NOTA NO ES VALIDA COMO<br> COMPROBANTE DE COMPRA***</p>";
	   		echo "---------------------------------------------- <br>";
	   		echo "<b>Cant.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Producto&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; SubTotal </b><br>";
	   		echo "---------------------------------------------- <br>";
*/           $gtot=0; $puntos=0;
  echo"<br><center><br><font size=\"6\" color=\"#5C3C12\">Forma Preliminar</font><BR>Tipo de Pago:<font size=\"4\" > <b>Regal&iacute;as</b></font><br><BR><TABLE CellPadding=5>
			<TR bgcolor=\"#ccdbfc\">
			
				<tD><b>R.F.C.</b></td>
				<tD>$dg_rfc</td>
			</TR>
			<TR bgcolor=\"#ccdbfc\">
			
				<tD><b>Nombre:</b></td>
				<tD>$dg_nom $dg_apP $dg_apM</td>
			</TR>
			<TR bgcolor=\"#ccdbfc\">
			
				<tD><b>Fecha:</b></td>
				<tD>$fechaT</td>
			</TR>
			
			
			
			</table>
			
			<bR><font size=\"+2\">CD de Entrega: <b>$cdent $nombreent</b></font>";
	   		echo "<br><b>Regalias a ser aplicadas $abono</b>";
			
			
			echo"
			
			<br><font color=\"#781313\"><b>**Esta nota no es v&aacute;lida como comprobante de compra**</b></font><br><br>
			<table CellPadding=5>
			<tr bgcolor=\"#2d1173\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">Precio</font></th><th><font color=\"#FFFFFF\">Total</font></th></tr>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$A5[$k]=$_POST["copia_puntos$k"];
					$A6[$k]=$_POST["existencias$k"];
					if($A6[$k]<$A1[$k]){$continua=1;};
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
					$puntot=$A1[$k]*$A5[$k];
					$puntos+=$puntot;
		   			echo "<font size=2><tr bgcolor=\"#ccdbfc\"><td align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\" width=\"160\">$A2[$k]</td>  
					<td align=\"center\" width=\"60\">$A3[$k]</td><td align=\"center\" width=\"70\">$tot</td></font></tr>";
		   		}	
		   	}echo"</table>";
			
			 if($abono>$gtot){         $porpagar=0;    $pagfinal=1;                    $restante=$abono-$gtot;
                   	echo"
			<br><br><table border=\"1\" bgcolor=\"#ccdbfc\">
			<tr>
			<td>Total a pagar:</td>
			<td><b>$ $gtot</b></td>
			</tr>
			<tr>
			<td>Regal&iacute;as:</td>
			<td><b>$gtot</b></td>
			</tr>
			<tr>
			<td>Restante por pagar:</td>
			<td><b>$ $porpagar</b></td>
			</tr></table><br><FORM ACTION='nota_salida5r.php' method='POST'>
			";    
                   
                   }      else{               $porpagar=$gtot-$abono;    $pagfinal=2;                    $restante=0;
                	echo"
			<br><br><table border=\"1\" bgcolor=\"#ccdbfc\">
			<tr>
			<td>Total a pagar:</td>
			<td><b>$ $gtot</b></td><td></td>
			</tr>
			<tr>
			<td>Regali&aacute;s:</td>
			<td><b>- $ $abono</b></td><td></td>
			</tr>
			<tr><FORM ACTION='nota_salida5r.php' method='POST'>
			<td>Restante por pagar:</td>
			<td><b>$ $porpagar</b></td>
			<td><select name = \"pagor\">
			<option value=\"Efectivo\">Efectivo</option>
			<option value=\"Deposito\">DEPOSITO</option>
            <option value=\"Tarjeta\">TARJETA</option> 
			

			</select></td>
			</tr></table>
			Solo para Depositos -";
			 $q2 = "SELECT * from bancos  WHERE 1 ";
  
  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
  echo"Banco: <select name = \"banco\">";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
echo"<option value=\"$a0\">$a1 $a2</option>";
	}

		
		echo"
				<option value=\"0\">Otro</option>
			</select>
<br>Referencia: <input type=\"text\" name=folio size=\"8\" >&nbsp;&nbsp;&nbsp;  
			Fecha Deposito:<input type=\"text\" name=fecha_i size=\"8\" value=\"\">&nbsp;
			<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\">
			<br><br>";       
             
                       
                   }
			
		
	
				
				 echo "
           <center><b>Regalias Restantes $ $restante"; 
                       
			
			      
			

			
	/*		if ($id_dist == 6732 ||$id_dist == 6733){
			echo "---------------------------------------------- <br>";
	   		echo "<b>Flete:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0 <br>";
	   		echo "---------------------------------------------- <br>";
	   		echo "<b>Productos:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0 <br>";
	   		echo "---------------------------------------------- <br>";
			echo "<b>TOTAL:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b> 0 </font></b><br>";	   		
			}else{
	   		echo "---------------------------------------------- <br>";
	   		echo "<b>Flete:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$ $total_pEnv <br>";
	   		echo "---------------------------------------------- <br>";
	   		echo "<b>Productos:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$ $totalProd <br>";
	   		echo "---------------------------------------------- <br>";
			
			if ($tarjeta == "SI"){
			$comision =$totalProd * 0.025;
			$totaluco= $totaluco+$comision;

			echo "<b>Comision tarjeta:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$ $comision <br>";
	   		echo "---------------------------------------------- <br>";
  		    }
			echo "<b>TOTAL:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>$ $totaluco </font></b><br>";	   }		
			echo "---------------------------------------------- <br>";
			echo "<b>TOTAL SISTEMA:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>$ $totalsist </font></b><br>";	   					
			
			*/
			echo "  <br><br>";
			for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if ($_POST["cant$k"] > 0)
				{	
	   				$idprod = $_POST["copia_id_prod$k"];
					$cprecio = $_POST["copia_precio$k"];
	   				$canti = $_POST["cant$k"];
	   				$nombrep = $_POST["copia_nombreProd$k"];
	   				
	   				
					echo "<input type=hidden name=copia_id_prod$k value='$idprod'>
					<input type=hidden name=copia_gtot value='$gtot'>
					
						  <input type=hidden name=copia_precio$k value='$cprecio'>
						  <input type=hidden name=cant$k value='$canti'> 
						  <input type=hidden name=copia_nombreProd$k value='$nombrep'>
						  ";
		   		}	
		   	}
			echo "  <input type=hidden name=c_id_inv value='$id_inv'>
            <input type=hidden name=idregs value='$idreg'>  
				  <input type=hidden name=copia_clave_cd value='$centro'>
				  <input type=hidden name=copia_cuenta value='$cuenta'>
				  <input type=hidden name=copia_ptos value='$puntos'>
				  <input type=hidden name=pago value=$ipago>
				  <input type=hidden name=fechad value=$ifecha>
				  <input type=hidden name=pagos value=\"REGALIAS\">
				  <input type=hidden name=elporpagar value=$porpagar>
				  <input type=hidden name=imprimir value=$pagfinal>
                  <input type=hidden name=elresto value=$restante>  
                  <input type=hidden name=abonar value=$abono> 
				  <input type=hidden name=idcentro value=$icentro>
				   <input type=hidden name=entrega value=\"$cdent\">";
			
			if($continua!=1 || $idcdin<=14){
		
			echo "<input type='button' value='Cancelar Pedido' onclick=\"parent.location = 'index.php'\"> &nbsp;&nbsp;
					<INPUT TYPE=\"SUBMIT\" NAME='confirmap'  VALUE=\"Confirmar Pedido\" >
						</FORM>	
					</body>
				</html>";}else{echo"<br><bR>No se puede continuar con el pedido<br>Se estan solicitando m&aacute;s productos que las existencias";}
	 //  }
//}

		

		

   

   

?>


